
QMainWindow,QWidget{
	background:rgb(51,51,51);

}



#frame_home_main{
	background:rgb(51,51,51);
}

* {
    border-radius:1px;
}

QMenu[class="tableMenu"]{
	min-width: 120px;
}

QLabel {
	color:rgb(255,255,255);
}


QGroupBox{
	border:1px solid rgb(51,51,51);
	border-radius:4px;
	color:white;
	background:rgb(91,90,90);
}


QScrollBar:vertical {
	background:rgb(51,51,51);
    	width:20px;
    	margin: 0px 0px 0px 0px;
}
QScrollBar::handle:vertical {
    	background:rgb(0,143,170);
}
QScrollBar::add-page:vertical {
 	background:rgb(51,51,51);
}
QScrollBar::sub-page:vertical {
 	background:rgb(51,51,51);
}


QLineEdit {
	border: 1px solid rgb(0,143,150);
	color:rgb(255,255,255);
	border-radius:4px;
	background:rgb(51,51,51);

}
QLineEdit:active{
	border: 3px solid rgb(6, 206, 215);
}

QLineEdit:disabled {
	color:rgb(255,255,255);
	border:2px solid rgb(112,112,112);
	border-radius:4px;
	background:rgb(112,112,112);
}

QSpinBox {
	border: 1px solid rgb(0,143,150);
	color:rgb(255,255,255);
	border-radius:4px;
	background:rgb(51,51,51);

}
QSpinBox:active{
	border: 3px solid rgb(6, 206, 215);
}

QPushButton {
	font-weight: bold;
	font-size: 26px;
	border: 2px solid rgb(51,51,51);
	border-radius: 5px;
	color: rgb(227, 227, 227);
	background-color: rgb(116, 116, 116);
}

QPushButton:hover {
	color: rgb(255, 255, 255);
	border: 2px solid rgb(0,143,150);
	background-color: rgb(0,143,150);
}

QPushButton:pressed {
	border: 3px solid rgb(0,143,170);
	background-color: rgb(0,143,170);
}

QPushButton:disabled {
	border-radius: 5px;
	border: 2px solid rgb(112,112,112);
	background-color: rgb(112,112,112);
}




QPushButton#toodle{
	background: rgb(3, 172, 180);
}
QPushButton#toodle:hover{
	background: rgb(4, 209, 217);
}


QPushButton[class="bar_left"]{
	border-left: 3px solid rgb(0,143,170);
}

QPushButton[bn_success=true]{
	font-size: 32px;
	background: rgb(3, 198, 67);
}

QPushButton[bn_danger=true]{
	background: rgb(255, 84, 84);
}

QPushButton[class="bn_success"]{
	background: rgb(10, 224, 81);
}

QPushButton[class="bn_danger"]{
	background: rgb(255, 84, 84);
}

.bar_left{
	border-width: 3px;
	border-style: solid;
	border-color: rgb(170, 0, 34) white rgb(170, 0, 34) black;	/*border-left: 3px solid rgb(0,143,170);*/
}

/*QPushButton[btn_active|=true]:hover{*/
/*	border: 2px solid rgb(0,143,150);*/
/*	background-color: rgb(135, 0, 150);*/
/*}*/




QProgressBar
{
	color:rgb(255,255,255);
	background-color :rgb(51,51,51);
	border : 2px;
	border-radius:4px;
}

QProgressBar::chunk{
	border : 2px;
	border-radius:4px;
	background-color:rgb(0,143,170);
}

QComboBox {
	border: 2px solid rgb(51,51,51);
	border-radius: 5px;
	color:rgb(255,255,255);
	background-color: rgb(51,51,51);
}

QComboBox:hover {
	border: 2px solid rgb(0,143,170);
	border-radius: 5px;
	color:rgb(255,255,255);
	background-color: rgb(0,143,170);
}

QComboBox:!editable, QComboBox::drop-down:editable {
	background: rgb(51,51,51);
}

QComboBox:!editable:on, QComboBox::drop-down:editable:on {
    	background:rgb(51,51,51);
}

QComboBox:on {  shift the text when the popup opens
    	padding-top: 3px;
    	padding-left: 4px;
}

QComboBox::drop-down {
    	subcontrol-origin: padding;
    	subcontrol-position: top right;
    	width: 15px;

    	border-left-width: 1px;
    	border-left-color: darkgray;
    	border-left-style: solid;  just a single line
    	border-top-right-radius: 5px;  same radius as the QComboBox
    	border-bottom-right-radius: 5px;
}

QComboBox::down-arrow {
    	image: url(icons/1x/arrow.png);
}

QComboBox::down-arrow:on {  shift the arrow when popup is open
    	top: 1px;
    	left: 1px;
}

QComboBox::drop-down {
    	background:rgb(51,51,51);
}



QRadioButton {
	background:rgb(91,90,90);
    	color:white;
}
QRadioButton::indicator {
    	width:10px;
    	height:10px;
    	border-radius: 7px;
}
QRadioButton::indicator:checked {
    	background-color:rgb(0,143,170);
    	border: 2px solid rgb(51,51,51);
}

QRadioButton::indicator:unchecked {
    	background-color:rgb(91,90,90);
    	border:2px solid rgb(51,51,51);
}

QCheckBox {
    	color:rgb(255,255,255);
}

QCheckBox::indicator {
    	width: 10px;
    	height: 10px;
}

QCheckBox::indicator:unchecked {
    	border:2px solid rgb(51,51,51);
	background:rgb(91,90,90);
}

QCheckBox::indicator:unchecked:pressed {
	border:2px solid rgb(51,51,51);
   	background:rgb(0,143,170);
}

QCheckBox::indicator:checked {
	background-color:rgb(0,143,170);
    	border: 2px solid rgb(51,51,51);
}

QCheckBox::indicator:checked:pressed {
    	border:2px solid rgb(51,51,51);
	background:rgb(91,90,90);
}

QSlider::groove:horizontal {
    	height:5px;
    	background: rgb(51,51,51);
}

QSlider::handle:horizontal {
    	background:rgb(0,143,170);
    	width: 10px;
	margin:-8px 0;
}

QSlider::add-page:horizondal {
    	background:rgb(51,51,51);
}

QSlider::sub-page:horizondal {
    	background:rgb(51,51,51);
}

QSlider::groove:vertical {
    	width:5px;
}

QSlider::handle:vertical {
    	height: 10px;
    	background:rgb(0,143,170);
	    margin:0 -8px;
}

QSlider::add-page:vertical {
    	background:rgb(51,51,51);
}

QSlider::sub-page:vertical {
    	background:rgb(51,51,51);
}






